Bug 1078368 - Review Request: js-jquery - JavaScript DOM manipulation, event handling, and AJAX library
Summary: Review Request: js-jquery - JavaScript DOM manipulation, event handling, and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: js-sizzle
Blocks: js-reviews 1078903
TreeView+ depends on / blocked
 
Reported: 2014-03-19 16:40 UTC by T.C. Hollingsworth
Modified: 2017-11-16 02:52 UTC (History)
8 users (show)

Fixed In Version: js-jquery-2.1.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 13:08:47 UTC
mizdebsk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1078371 None CLOSED Review Request: js-jquery1 - JavaScript DOM manipulation, event handling, and AJAX library - for legacy browsers 2019-05-10 05:51:45 UTC

Internal Links: 1078371

Description T.C. Hollingsworth 2014-03-19 16:40:37 UTC
Spec: http://patches.fedorapeople.org/js-future/SPECS/js-jquery.spec
SRPM: http://patches.fedorapeople.org/js-future/SRPMS/js-jquery1-1.11.0-0.1.fc20.src.rpm
FAS:  patches
Summary:
jQuery is a fast, small, and feature-rich JavaScript library. It makes things
like HTML document traversal and manipulation, event handling, animation, and 
Ajax much simpler with an easy-to-use API that works across a multitude of 
browsers. With a combination of versatility and extensibility, jQuery has 
changed the way that millions of people write JavaScript.

--
This is an experimental package that does not yet meet Fedora standards.  It uses npm to install build dependencies to work around ones missing from the distribution.  However, the package is otherwise fully built during the rpmbuild process and the binary RPM is identical to what would be produced by a proper spec.

Please use it to test dependent packages.  It is also available in this copr:
http://copr.fedoraproject.org/coprs/patches/js-future

Comment 1 T.C. Hollingsworth 2014-03-19 16:45:06 UTC
Sorry, messed up one of the URLs.  The correct information is:

Spec: http://patches.fedorapeople.org/js-future/SPECS/js-jquery.spec
SRPM: http://patches.fedorapeople.org/js-future/SRPMS/js-jquery-2.1.0-0.1.fc20.src.rpm

Comment 2 Jens Petersen 2014-03-20 00:49:34 UTC
Great to see some movement on the jquery packaging. :-)

(In reply to T.C. Hollingsworth from comment #0)
> This is an experimental package that does not yet meet Fedora standards.  It
> uses npm to install build dependencies to work around ones missing from the
> distribution.  However, the package is otherwise fully built during the
> rpmbuild process and the binary RPM is identical to what would be produced
> by a proper spec.

Could you list the missing dependencies here?

> Please use it to test dependent packages.  It is also available in this copr:
> http://copr.fedoraproject.org/coprs/patches/js-future

Thanks  (BTW seems js-jquery1 failed on fedora-20-i386.)

Comment 3 T.C. Hollingsworth 2014-03-20 01:15:23 UTC
(In reply to Jens Petersen from comment #2)
> Could you list the missing dependencies here?

Sure, they are:
nodejs-archiver 	
nodejs-gzip-js 	
nodejs-testswarm 	
nodejs-load-grunt-tasks 	
nodejs-shelljs 	
nodejs-grunt-contrib-uglify 	
→ nodejs-grunt-contrib-clean 	
→ nodejs-grunt-contrib-internal 	
→ nodejs-chalk 	
    → nodejs-ansi-styles 	
    → nodejs-has-color 	
    → nodejs-strip-ansi 	
→ nodejs-maxmin 	
    → nodejs-pretty-bytes 	
    → nodejs-gzip-size 	
        → nodejs-concat-stream 	
        → nodejs-zlib-browserify 	
            → js-zlib 	
nodejs-grunt-contrib-watch 	
nodejs-grunt-bowercopy 	
nodejs-grunt-compare-size 	
nodejs-grunt-git-authors 	
nodejs-grunt-jscs-checker 	
nodejs-grunt-jsonlint 

These are also tracked on the FESCo change page:
https://fedoraproject.org/wiki/Changes/jQuery#js-jquery.2A_BuildRequires

There you'll see a number of them are already being worked on.  :-)

> Thanks  (BTW seems js-jquery1 failed on fedora-20-i386.)

Yeah, seems to have been a tranisent error with the npm registry.  (This is why we can't use it for Fedora proper.  ;-)  I resubmitted it.

Comment 5 T.C. Hollingsworth 2014-05-31 08:08:27 UTC
I've now fixed an annoying bug in grunt and can drop the hack I added in %prep to make it build.  This now requires the most recent nodejs-grunt to build.

Spec: http://patches.fedorapeople.org/jquery/js-jquery.spec
SRPM: http://patches.fedorapeople.org/jquery/js-jquery-2.1.1-2.fc20.src.rpm

Comment 6 T.C. Hollingsworth 2014-06-03 09:37:39 UTC
Fixed based on feedback in the js-sizzle review:

Spec: http://patches.fedorapeople.org/jquery/js-jquery.spec
SRPM: http://patches.fedorapeople.org/jquery/js-jquery-2.1.1-3.fc20.src.rpm

* Tue Jun 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-3
- follow the github SourceURL guidelines

Comment 7 Michael Simacek 2014-07-30 10:14:43 UTC
It doesn't build for me:
ln: failed to access '/builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/2.1.1/jquery.min.map': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.NBzcfs (%install)

Comment 8 Jens Petersen 2014-09-16 05:16:04 UTC
I see the same.

:
+ ln -s 2.1.1 /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/2.1
+ ln /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/2.1.1/jquery.js /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/jquery.js
+ ln /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/2.1.1/jquery.min.js /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/jquery.min.js
+ ln /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/2.1.1/jquery.min.map /builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/jquery.min.map
ln: failed to access '/builddir/build/BUILDROOT/js-jquery-2.1.1-3.fc22.x86_64/usr/share/javascript/jquery/2.1.1/jquery.min.map': No such file or directory
エラー: /var/tmp/rpm-tmp.WCQXFR の不正な終了ステータス (%install)
    /var/tmp/rpm-tmp.WCQXFR の不正な終了ステータス (%install)
RPM ビルドのエラー:

Comment 9 T.C. Hollingsworth 2014-10-21 18:45:07 UTC
I was missing the '-s' argument to 'ln' in a few places.  But in further testing I discovered that source maps don't work with those particular symlinks, and they really seem to be overkill, so I just removed them instead.

--

Spec: https://patches.fedorapeople.org/jquery/js-jquery.spec
SRPM: https://patches.fedorapeople.org/jquery/js-jquery-2.1.1-4.fc20.src.rpm

* Tue Oct 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-4
- drop unneccessary symlinks

Comment 10 Mikolaj Izdebski 2014-10-22 11:28:46 UTC
Package approved.


Package Review
==============

Key:
- = N/A
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines. (Name of a package follows js-* scheme.)

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[x] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


JavaScript specific
-------------------

[x] Name of a package follows js-* scheme.
[x] BuildRequires on web-assets-devel is present.
[x] Requires on web-assets-filesystem is present.
[x] Content is installed installed into a subdirectory of %{_jsdir}.
[x] "Minified" version is installed along with non-minified version.


rpmlint output
--------------

js-jquery.noarch: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
js-jquery.src: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 11 T.C. Hollingsworth 2014-10-22 14:32:40 UTC
New Package SCM Request
=======================
Package Name: js-jquery
Short Description: JavaScript DOM manipulation, event handling, and AJAX library
Upstream URL: https://jquery.com/
Owners: patches jamielinux
Branches: f21 f20 f19 epel7 el6 el5
InitialCC:

Comment 12 Gwyn Ciesla 2014-10-22 16:42:57 UTC
Git done (by process-git-requests).

Comment 13 Mikolaj Izdebski 2015-02-18 13:08:47 UTC
js-jquery is available in rawhide for several months now. Closing.

Comment 14 Dan Callaghan 2015-02-23 02:21:06 UTC
Could you please build this on F21 and EPEL7 also?

Comment 15 Fedora Update System 2015-03-05 01:10:44 UTC
js-jquery-2.1.3-1.fc20,js-jquery1-1.11.2-2.fc20,js-sizzle-2.1.1-1.jquery.2.1.2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.fc20,js-jquery1-1.11.2-2.fc20,js-sizzle-2.1.1-1.jquery.2.1.2.fc20

Comment 16 Fedora Update System 2015-03-05 01:12:43 UTC
js-jquery-2.1.3-1.fc21,js-jquery1-1.11.2-2.fc21,js-sizzle-2.1.1-1.jquery.2.1.2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.fc21,js-jquery1-1.11.2-2.fc21,js-sizzle-2.1.1-1.jquery.2.1.2.fc21

Comment 17 Fedora Update System 2015-03-05 01:14:21 UTC
js-jquery-2.1.3-1.el6,js-jquery1-1.11.2-2.el6,js-sizzle-2.1.1-1.jquery.2.1.2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.el6,js-jquery1-1.11.2-2.el6,js-sizzle-2.1.1-1.jquery.2.1.2.el6

Comment 18 Fedora Update System 2015-03-05 01:16:04 UTC
js-jquery-2.1.3-1.el7,js-jquery1-1.11.2-2.el7,js-sizzle-2.1.1-1.jquery.2.1.2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/js-jquery-2.1.3-1.el7,js-jquery1-1.11.2-2.el7,js-sizzle-2.1.1-1.jquery.2.1.2.el7

Comment 19 Fedora Update System 2015-04-30 17:11:56 UTC
js-jquery-2.1.3-1.el6, js-jquery1-1.11.2-2.el6, js-sizzle-2.1.1-1.jquery.2.1.2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2015-04-30 17:13:12 UTC
js-jquery-2.1.3-1.el7, js-sizzle-2.1.1-1.jquery.2.1.2.el7, js-jquery1-1.11.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 21 Fedora Update System 2015-05-01 16:43:24 UTC
js-jquery-2.1.3-1.fc21, js-sizzle-2.1.1-1.jquery.2.1.2.fc21, js-jquery1-1.11.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 22 Fedora Update System 2015-05-01 16:53:31 UTC
js-jquery-2.1.3-1.fc20, js-jquery1-1.11.2-2.fc20, js-sizzle-2.1.1-1.jquery.2.1.2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.